
body {
    width: 100%; 
    max-width: 1280px; 
    margin: 0 auto; 
    font-family: "Roboto", sans-serif;
}
header{
    margin-bottom: 48px;
}
.header__menu{
    width: 1283px;
    height: 189px;
   
}
h1{
    padding-bottom: 40px;
}
a{
    text-decoration: none; 
}
.logo{
    font-weight: 400;
    font-size: 80px;
    text-align: center;
    color: #000;
}
.logo-colors{
    font-weight: 400;
    font-size: 80px;
    text-align: center;
    color: #4bcaff;
}

.header__menu--item {
    display: flex;
}
.header__menu--item li{
    display: inline;
    border: 1px solid #fff;
    background:  #35444f;
    padding: 24px 32px 18px; 
}
.header__menu--item li:hover{
    background: #222F3A;  
}
.left__item{
  width: 94px;
   
}
.right__item{
    width: 100px;
}
.menu--item{
    font-weight: 400;
    font-size: 24px;
    color: #fff;
}
.main__content {
    display: flex;
}
main{
    margin-bottom: 51px;
}
.side__menu{
    width: 344px;
    height: 399px;
    border: 1px solid #000;
}
.side__menu--link{
    font-weight: 400;
    font-size: 27px;
    line-height: 100%;
    color: #485863;
    padding-left: 44px;
}
.side__menu--item {
    width: 342px;
    height: 79px;
    display: flex;
    align-items: center;
   
}
.side__content li:hover{
    background: #dbdbdb;
}

.logo__container{
    width: 885px;
    height: 832px;
    margin-left: 53px;
}
img {
    padding-bottom: 37px;
}
img:hover{
    transform: scale(1.1);
    transition: transform 0.8s ease;
}

.logo__container--text{
    font-weight: 400;
    font-size: 18px;
    line-height: 133%;
    color: #2c2c2c;
    padding-bottom: 5px;
}
.logo__container--text2{
    font-weight: 400;
    font-size: 18px;
    line-height: 133%;
    color: #2c2c2c;
}
.footer{
    width: 1280px;
    height: 69px;
    background: rgba(99, 105, 110, 0.48);
    display: flex;
   
}
.footer__menu{
   padding-left: 40px;
}
.footer__menu--item{
    display: flex; 
    justify-content: space-between;
    width: 875px;
    height: 28px;
   
    padding-top: 23px;
    
}

.footer__item--text{
    font-weight: 400;
    font-size: 28px;
    line-height: 100%;
    color: #0c1927;
    
}
.footer__item--text2{
    font-weight: 400;
    font-size: 24px;
    line-height: 100%;
    color: #010101;
}
.copyright__item{
    width: 190px;
    height: 69px;
    display: flex;
    align-items: center;
    justify-content: center;
    
    padding-left: 135px;
}
.footer__item--text:hover{
    color: #3181A6; 
}

.hm-js__container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.button-color {
    cursor: pointer;
    background:010101;
    width: 200px;
    height: 50px;
    border: none;
    font-weight: 100;
    font-size: 25px;
    line-height: 100%;

}

.button-color:hover {
    background: wheat;
}

body.dark-mode {
    background-color: #1e1e1e;
    color: #cfcfcf;
}

body.dark-mode .header__menu--item li {
    background: #555;
}

body.dark-mode .header__menu--item li:hover {
    background: #333;
}

body.dark-mode .menu--item {
    color: #ddd;
}

body.dark-mode .side__menu {
    border: 1px solid #ccc;
}

body.dark-mode .side__menu--link {
    color: #aaa;
}

body.dark-mode .side__content li:hover {
    background: #444;
}

body.dark-mode .logo__container--text, 
body.dark-mode .logo__container--text2 {
    color: #aaa;
}

body.dark-mode .footer {
    background: rgba(50, 50, 50, 0.48);
}

body.dark-mode .footer__item--text {
    color: #bbb;
}

body.dark-mode .footer__item--text2 {
    color: #999;
}

body.dark-mode .footer__item--text:hover {
    color: #888;
}